%{!?__pear: %global __pear %{_bindir}/pear}

%global pear_name Mail_mimeDecode
Name:           php-pear-Mail-mimeDecode
Version:        1.5.6
Release:        5%{?dist}
Summary:        Class to decode mime messages

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Mail_mimeDecode
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.6.0
# BR for tests
BuildRequires:  php-pear(Mail_Mime) > 1.4.0

Requires:       php-pear(PEAR) >= 1.6.0
Requires:       php-pear(Mail_Mime) > 1.4.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
Provides a class to deal with the decoding and interpreting of mime messages.
This package used to be part of the Mail_Mime package, but has been split off.

To run post-installation tests, execute:
pear run-tests -p Mail_mimeDecode


%prep
%setup -q -c
cd %{pear_name}-%{version}
# Package.xml is V2
mv ../package.xml %{name}.xml


# Empty build section, nothing required
%build


%install
rm -rf %{buildroot} docdir

cd %{pear_name}-%{version}
%{__pear} install \
   --nodeps \
   --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}

# Test suite
%{__pear} run-tests \
   -i "-d include_path=%{buildroot}%{pear_phpdir}:%{pear_phpdir}" \
   tests | tee ../tests.log
if grep "FAILED TESTS" ../tests.log
then
  for fic in tests/*diff
  do
    cat $fic
    :
  done
  exit 1
fi



%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/%{name}.xml >/dev/null ||:


%postun
# if refcount = 0 then package has been removed (not upgraded)
if [ "$1" -eq "0" ]; then
 %{__pear} uninstall --nodeps --ignore-errors --register-only %{pear_name} >/dev/null ||:
fi


%files
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/Mail/mimeDecode.php


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep  1 2016 Remi Collet <remi@fedoraproject.org> - 1.5.6-1
- update to 1.5.6
- drop generated changelog

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug  5 2013 Remi Collet <remi@fedoraproject.org> - 1.5.5-9
- xml2changelog need simplexml
- ignore E_DEPRECATED for test https://pear.php.net/bugs/20028

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.5.5-7
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.5.5-5
- rebuilt for new pear_testdir

* Tue Jul 31 2012 Remi Collet <remi@fedoraproject.org> - 1.5.5-4
- disable E_STRICT in tests, fix FTBFS

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec  2 2010 Remi Collet <Fedora@FamilleCollet.com> 1.5.5-1
- Version 1.5.5 (stable) - API 1.3.1 (stable)
- add generated CHANGELOG

* Tue Sep 14 2010 Remi Collet <Fedora@FamilleCollet.com> 1.5.4-1
- update to 1.5.4 (Critical Security release)

* Sun Sep 05 2010 Remi Collet <Fedora@FamilleCollet.com> 1.5.3-1
- update to 1.5.3 (Major Bugfix release)
- define pear_name macro
- set date.timezone during build
- run test during %%check

* Thu Dec 03 2009 Remi Collet <Fedora@FamilleCollet.com> 1.5.1-1
- update to 1.5.1
- rename Mail_mimeDecode.xml to php-pear-Mail-mimeDecode.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Mar 30 2008 Brandon Holbrook <fedora at theholbrooks.org> 1.5.0-3
- Re-Corrected license :)

* Wed Mar 26 2008 Brandon Holbrook <fedora at theholbrooks.org> 1.5.0-2
- Corrected license
- No longer own pear_datadir/Mail

* Thu Dec  6 2007 Brandon Holbrook <fedora at theholbrooks.org> 1.5.0-1
- Initial Build

